{% extends 'base/base.html' %}

{% block content %}

<h1>User List</h1>
    <table>
        <tr>
            
        </tr>
        
    </table>
<table class="table table-hover">
  <thead class="thead-dark">
    <tr>
      <th scope="col">User ID</th>
      <th>User Name</th>
      <th>Assigned groups</th>  
      <th>Permissions</th>
      <th>Actions</th>

    </tr>
  </thead>
  <tbody>
    {% for user in Users %}
            <tr>
                <td>{{user.pk}}</td>
                <td>{{user.username}}</td>
                <td>
                    {% for group in user.groups.all %}
                        {{group.name|title}} ,
                    {% empty %}
                        --
                    {% endfor %}
                </td>
                <td>
                    {% for permission in user.get_all_permissions %}
                        {{ permission }} <br>
                    {% empty %}
                        No permissions yet
                    {% endfor %}
                </td>
                <td>
                <a class="edit" title="Edit" data-toggle="tooltip"><i class="material-icons">&#xE254;</i></a>
                <a class="delete" title="Delete" data-toggle="tooltip"><i class="material-icons">&#xE872;</i></a>
                </td>
            </tr>
        {% empty %}
            <td colspan="2"> No users in the system !!</td>
        {% endfor %}
  </tbody>
</table>
    
{% endblock content %}
